Thank you for your donation!


USB WIFI Dongle problem
#1
Hi all, 

 My Moode audio player ver. 4.2, raspberry Pi Zero + EP-N8508GS USB Wifi + Hackberry Digi+ etc... was perform really well until this morning.....

I removed the SD card, format it, and installed the latest V5.3.1, and when I try to connect via AP mode, the dongle's LED turns off ( it was blinking , until i hit connect button on my android phone ) and can't connect to moode using my android phone. I try to connect using my computer , problem remains. 

I re-install again and insert SD card into a Pi3 , using internal wifi and it works perfectly. Obviously , the new 5.3.1 can't work with my  EP-N8508GS USB Wifi dongle . 

Please help, and if there's no solution yet, I'm looking for older version of Moode Audio ( Ver 4.2, or 4.4 ) . Thank you.
Reply
#2
If the adapter uses 8192cu driver (like Edimax adapters) then its prolly this issue
https://github.com/raspberrypi/linux/issues/2979

Options are to wait till kernel devs fix it or swap to a Pi-Zero W.
Reply
#3
(06-15-2019, 11:56 AM)Tim Curtis Wrote: If the adapter uses 8192cu driver (like Edimax adapters) then its prolly this issue
https://github.com/raspberrypi/linux/issues/2979

Options are to wait till kernel devs fix it or swap to a Pi-Zero W.

Hi. Thanks for your reply. 
Is there any known working brand/ type of USB Wifi please?
Reply
#4
(06-16-2019, 02:26 AM)bigbulb Wrote:
(06-15-2019, 11:56 AM)Tim Curtis Wrote: If the adapter uses 8192cu driver (like Edimax adapters) then its prolly this issue
https://github.com/raspberrypi/linux/issues/2979

Options are to wait till kernel devs fix it or swap to a Pi-Zero W.

Hi. Thanks for your reply. 
Is there any known working brand/ type of USB Wifi please?

The Zero W at $10 is probably the least expensive option and theoretically should be less prone to the kernel devs breaking things. 

It may be possible to roll the kernel back to the previous version but from that bug report it looks like you’d need to step back to the 4.14 branch. Tim talks about this in reference to another bug here:

http://moodeaudio.org/forum/showthread.p...1#pid10601
Reply
#5
(06-16-2019, 08:01 PM)swizzle Wrote:
(06-16-2019, 02:26 AM)bigbulb Wrote:
(06-15-2019, 11:56 AM)Tim Curtis Wrote: If the adapter uses 8192cu driver (like Edimax adapters) then its prolly this issue
https://github.com/raspberrypi/linux/issues/2979

Options are to wait till kernel devs fix it or swap to a Pi-Zero W.

Hi. Thanks for your reply. 
Is there any known working brand/ type of USB Wifi please?

The Zero W at $10 is probably the least expensive option and theoretically should be less prone to the kernel devs breaking things. 

It may be possible to roll the kernel back to the previous version but from that bug report it looks like you’d need to step back to the 4.14 branch. Tim talks about this in reference to another bug here:

http://moodeaudio.org/forum/showthread.p...1#pid10601

Thanks for info. 

I can't use Pi Zero W because I'm using all metal casing. ( https://www.youtube.com/watch?v=WrjJgRtdXs8 )  My last known usable version was V4.4, I need to login at least 2 times though. V5.3 can't connect at all. 

I don't know which dongle works for the latest versions of Moode Audio, I think I will just try to buy a few others dongle and try it out. 
 

thanks .
Reply
#6
(06-18-2019, 03:57 AM)bigbulb Wrote:
(06-16-2019, 08:01 PM)swizzle Wrote:
(06-16-2019, 02:26 AM)bigbulb Wrote:
(06-15-2019, 11:56 AM)Tim Curtis Wrote: If the adapter uses 8192cu driver (like Edimax adapters) then its prolly this issue
https://github.com/raspberrypi/linux/issues/2979

Options are to wait till kernel devs fix it or swap to a Pi-Zero W.

Hi. Thanks for your reply. 
Is there any known working brand/ type of USB Wifi please?

The Zero W at $10 is probably the least expensive option and theoretically should be less prone to the kernel devs breaking things. 

It may be possible to roll the kernel back to the previous version but from that bug report it looks like you’d need to step back to the 4.14 branch. Tim talks about this in reference to another bug here:

http://moodeaudio.org/forum/showthread.p...1#pid10601

Thanks for info. 

I can't use Pi Zero W because I'm using all metal casing. ( https://www.youtube.com/watch?v=WrjJgRtdXs8 )  My last known usable version was V4.4, I need to login at least 2 times though. V5.3 can't connect at all. 

I don't know which dongle works for the latest versions of Moode Audio, I think I will just try to buy a few others dongle and try it out. 
 

thanks .

Common chipsets that work with Raspbian Stretch are RTL8188CUS, RTL8187, Ralink RT5370 (and others)... Another indication would be the WiFi adaptors sold in traditional RaspberryPi brick'n'mortar/online shops (Pimoroni, The PiHut, etc).
Reply
#7
Or just try a revert to kernel 4.14.98

Code:
# 4.14.98
echo "y" | sudo PRUNE_MODULES=1 rpi-update a08ece3d48c3c40bf1b501772af9933249c11c5b

# 4.19.49 (Default for moOde 5.3.1)
echo "y" | sudo PRUNE_MODULES=1 rpi-update ce9a76ebe12cfa9cd76d15be7684af93632365f6

# cleanup
sudo rm -rf /lib/modules.bak
sudo rm -rf /boot.bak
sudo apt-get clean

sudo reboot
Reply
#8
Hi CallMeMike , 


 Thanks for your suggestions, I will purchase those model for future proof. thank you. 


Tim Curtis: 

 Thanks for the instructions , i revert back to older one and it works now , Thank you very much ! 
Reply


Forum Jump: